<nav class="pagination">
	<ul>
		<?php
			/*
			 * Because the google results are returned from an api rather than using Cakes ORM,
			 * I've had to manually do the pagination html stuff - but it emulates the markup that the paginator helper would produce
			 */

			// Previous
			if ($pageNumber != 1 || empty($pageNumber)) {
				echo '<li>';
				echo $this->Html->link('<< Prev', array(
					$searchTerm,
					'page' => $pageNumber-1
				));
			} else {
				echo '<li class="active"><< Prev';
			}
			echo '</li>';
			echo ' | ';

			// Numbers
			foreach ($results['pagination'] as $pageKey) {
				if ($pageNumber == $pageKey) {
					echo '<li class="active">' . $pageKey . '</li>';
				} else {
					echo '<li>';
					echo $this->Html->link($pageKey, array(
						$searchTerm,
						'page' => $pageKey
					));
				}

				echo '</li>';
				echo ' | ';
			}

			// Next
			if ($pageNumber != $results['total_pages']) {
				echo '<li>';
				echo $this->Html->link('Next >>', array(
					$searchTerm,
					'page' => $pageNumber+1
				));
			} else {
				echo '<li class="active">Next >>';
			}
			echo '</li>';
		?>
	</ul>
</nav>
